Package com.logicaldoc.core.sequence

# Class Sequence

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.sequence.Sequence

All Implemented Interfaces:
  `Serializable`

@Entity public class Sequence extends PersistentObject
A sequence in the database

Since:
  6.9
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Sequence()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Date`
`getLastReset()`
`String`
`getName()`
`long`
`getObjectId()`
`long`
`getValue()`
`int`
`hashCode()`
`void`
`setLastReset(Date lastReset)`
`void`
`setName(String name)`
`void`
`setObjectId(long objectId)`
`void`
`setValue(long value)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Sequence

public Sequence()

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getLastReset

public Date getLastReset()

### setLastReset

public void setLastReset(Date lastReset)

### getValue

public long getValue()

### setValue

public void setValue(long value)

### getObjectId

public long getObjectId()

### setObjectId

public void setObjectId(long objectId)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`